resource "kubernetes_role" "kubernetes_dashboard_role" {
  metadata {
    name      = "kubernetes-dashboard-minimal"
    namespace = "kube-system"
  }

  rule {
    api_group = [""]
    resources = ["secrets"]
    verbs     = ["create"]
  }

  rule {
    api_group = [""]
    resources = ["configmaps"]
    verbs     = ["create"]
  }

  rule {
    api_group = [""]
    resources = ["kubernetes-dashboard-key-holder", "kubernetes-dashboard-certs"]
    verbs     = ["get", "update", "delete"]
  }

  rule {
    api_group      = [""]
    resources      = ["configmaps"]
    resource_names = ["kubernetes-dashboard-settings"]
    verbs          = ["get", "update"]
  }

  rule {
    api_group     = [""]
    resources     = ["services"]
    resourceNames = ["heapster"]
    verbs         = ["proxy"]
  }

  rule {
    api_group     = [""]
    resources     = ["services/proxy"]
    resourceNames = ["heapster", "http:heapster:", "http:heaptser:"]
    verbs         = ["get"]
  }
}

resource "kubernetes_role_binding" "kubernetes_dashboard_role_bind" {
  metadata {
    name      = "kubernetes-dashboard-minmal"
    namespace = "kube-system"
  }

  role_ref {
    api_group = ["rbac.authorization.k8s.io"]
    kind      = "Role"
    name      = "kubernetes-dashboard-minimal"
  }

  subjects {
    kind = "ServiceAccount"
    name = "kubernetes-dashboard"
  }
}
